<html lang="pt-br">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="Pagina de Cadastro" content="">
    <meta name="Vinicio Miranda Covalski" content="">

    <title>Design da Informação</title>


    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">


</head>

<body>
    <div class="container">


        <nav class="navbar navbar-dark bg-dark">
            <a class="navbar-brand" href="/">Inicio</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsDIIH01"
                aria-controls="navbarsDIIH01" aria-expanded="true" aria-label="Toggle navigation">
                Menu<span class="navbar-toggler-icon"></span>
            </button>

            <div class="navbar-collapse collapse show" id="navbarsDIIH01" style>
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="cadastro">Cadastro <span class="sr-only">(atual)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="visualizar">Visualizar</a>
                    </li>


                </ul>

            </div>
        </nav>


        <div class="container">
            <div class="py-3">
                <h4 class="mb-3">Listagem de Contatos</h4>

                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">ID</th>
                            <th scope="col">Nome</th>
                            <th scope="col">Idade</th>
                            <th scope="col">E-mail</th>
                            <th scope="col">Ações</th>

                        </tr>
                    </thead>
        

                    <tr th:each="item : ${historico}">
                        <td th:text="${item.id}"></td>
                        <td><a th:href="@{/editar/{id}(id=${item.id})}" th:text="${item.nome}"></a></td>
                        <td th:text="${item.idade}"></td>
                        <td th:text="${item.email}"></td>
                        
                        <td><a th:href="@{/deleta/{id}(id=${item.id})}" class="btn btn-outline-danger">Apagar</a></td>
                        <td><a th:href="@{/editar/{id}(id=${item.id})}" class="btn btn-outline-success">Editar</a></td>
                    </tr>

                           
           
                
                
                    </ul>






                                <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
                                    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
                                    crossorigin="anonymous"></script>
                                <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
                                    integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
                                    crossorigin="anonymous"></script>
                                <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
                                    integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
                                    crossorigin="anonymous"></script>


</body>

</html>